Bug 200796 - crash on saving the file ( lastViewLine / viewLineCount )
Summary: crash on saving the file ( lastViewLine / viewLineCount )
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: part (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords:
: 201743 203884 223583 224073 224308 224373 227979 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-07-19 20:59 UTC by Christoph Thielecke
Modified: 2010-10-26 13:45 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Thielecke 2009-07-19 20:59:43 UTC
Application that crashed: kdevelop
Version of the application: 3.9.94 (using KDevPlatform 0.9.94)
KDE Version: 4.3.60 (KDE 4.3.60 (KDE 4.4 >= 20090706))
Qt Version: 4.5.1
Operating System: Linux 2.6.30 i686
Distribution: Debian GNU/Linux 5.0.2 (lenny)

What I was doing when the application crashed:
I did ctrl+s to save after some work and it crashes. (trunk here)

 -- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
Using host libthread_db library "/lib/i686/cmov/libthread_db.so.1".
[Current thread is 0 (LWP 20561)]

Thread 12 (Thread 0xb1f57b90 (LWP 20578)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6eb12e2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb6f4483c in QWaitCondition::wait (this=0x832766c, mutex=0x8327670, time=200000) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:85
#3  0xb5f23b75 in KDevelop::DUChainPrivate::CleanupThread::run (this=0x8327660) at /home/kde-devel/kdesvn/kdevplatform/language/duchain/duchain.cpp:280
#4  0xb6f43ad0 in QThreadPrivate::start (arg=0x8327660) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#5  0xb6ead4e5 in start_thread () from /lib/i686/cmov/libpthread.so.0
#6  0xb646221e in clone () from /lib/i686/cmov/libc.so.6

Thread 11 (Thread 0xacd2ab90 (LWP 20758)):
#0  0xb577d0ac in clock_gettime () from /lib/i686/cmov/librt.so.1
#1  0xb704d36b in QTimerInfoList::getTime (this=0x8a5f2dc, t=@0x8a5f300) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventdispatcher_unix.cpp:339
#2  0xb704d541 in QTimerInfoList::updateCurrentTime (this=0x8a5f2dc) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventdispatcher_unix.cpp:297
#3  0xb704ef3c in QTimerInfoList::timerWait (this=0x8a5f2dc, tm=@0xacd2a134) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventdispatcher_unix.cpp:420
#4  0xb704bb12 in timerSourcePrepare (source=0xb5780ff4, timeout=0xacd2a188) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:140
#5  0xb56ff680 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#6  0xb56ffa9a in ?? () from /usr/lib/libglib-2.0.so.0
#7  0x08a5fba0 in ?? ()
#8  0xacd2a1f8 in ?? ()
#9  0xb165df38 in ?? ()
#10 0x00000001 in ?? ()
#11 0x00000001 in ?? ()
#12 0xb5778928 in ?? () from /usr/lib/libglib-2.0.so.0
#13 0xb5778558 in ?? () from /usr/lib/libglib-2.0.so.0
#14 0xb6eb1e65 in pthread_getspecific () from /lib/i686/cmov/libpthread.so.0
#15 0xb56fff28 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#16 0xb704b957 in QEventDispatcherGlib::processEvents (this=0x8a5fb30, flags={i = -1395481992}) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:326
#17 0xb702280a in QEventLoop::processEvents (this=0xacd2a2e0, flags={i = -1395481928}) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventloop.cpp:149
#18 0xb70229ca in QEventLoop::exec (this=0xacd2a2e0, flags={i = -1395481880}) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventloop.cpp:196
#19 0xb6f40c03 in QThread::exec (this=0x8a5f960) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread.cpp:487
#20 0xb6022710 in KDevelop::CompletionWorkerThread::run (this=0x8a5f960) at /home/kde-devel/kdesvn/kdevplatform/language/codecompletion/codecompletionmodel.cpp:79
#21 0xb6f43ad0 in QThreadPrivate::start (arg=0x8a5f960) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#22 0xb6ead4e5 in start_thread () from /lib/i686/cmov/libpthread.so.0
#23 0xb646221e in clone () from /lib/i686/cmov/libc.so.6

Thread 10 (Thread 0xac529b90 (LWP 20759)):
#0  0xb577d0ac in clock_gettime () from /lib/i686/cmov/librt.so.1
#1  0xb704d36b in QTimerInfoList::getTime (this=0x8e67ce4, t=@0x8e67d08) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventdispatcher_unix.cpp:339
#2  0xb704d541 in QTimerInfoList::updateCurrentTime (this=0x8e67ce4) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventdispatcher_unix.cpp:297
#3  0xb704ef3c in QTimerInfoList::timerWait (this=0x8e67ce4, tm=@0xac529134) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventdispatcher_unix.cpp:420
#4  0xb704bb12 in timerSourcePrepare (source=0xb5780ff4, timeout=0xac529188) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:140
#5  0xb56ff680 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#6  0xb56ffa9a in ?? () from /usr/lib/libglib-2.0.so.0
#7  0x08a60248 in ?? ()
#8  0xac5291f8 in ?? ()
#9  0x08baded8 in ?? ()
#10 0x00000001 in ?? ()
#11 0x00000001 in ?? ()
#12 0xb5778928 in ?? () from /usr/lib/libglib-2.0.so.0
#13 0xb5778558 in ?? () from /usr/lib/libglib-2.0.so.0
#14 0xb6eb1e65 in pthread_getspecific () from /lib/i686/cmov/libpthread.so.0
#15 0xb56fff28 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#16 0xb704b957 in QEventDispatcherGlib::processEvents (this=0x8a601a8, flags={i = -1403874696}) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventdispatcher_glib.cpp:326
#17 0xb702280a in QEventLoop::processEvents (this=0xac5292e0, flags={i = -1403874632}) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventloop.cpp:149
#18 0xb70229ca in QEventLoop::exec (this=0xac5292e0, flags={i = -1403874584}) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qeventloop.cpp:196
#19 0xb6f40c03 in QThread::exec (this=0xb16bd098) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread.cpp:487
#20 0xb6022710 in KDevelop::CompletionWorkerThread::run (this=0xb16bd098) at /home/kde-devel/kdesvn/kdevplatform/language/codecompletion/codecompletionmodel.cpp:79
#21 0xb6f43ad0 in QThreadPrivate::start (arg=0xb16bd098) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#22 0xb6ead4e5 in start_thread () from /lib/i686/cmov/libpthread.so.0
#23 0xb646221e in clone () from /lib/i686/cmov/libc.so.6

Thread 9 (Thread 0xab493b90 (LWP 20766)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6eb12e2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb6f4335e in thread_sleep (ti=0xab4932d0) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:298
#3  0xb6f4348b in QThread::msleep (msecs=<value optimized out>) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:324
#4  0xaa990c7b in UIBlockTester::UIBlockTesterThread::run (this=0x8ce0ca0) at /home/kde-devel/kdesvn/kdevelop/languages/cpp/cpplanguagesupport.cpp:965
#5  0xb6f43ad0 in QThreadPrivate::start (arg=0x8ce0ca0) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#6  0xb6ead4e5 in start_thread () from /lib/i686/cmov/libpthread.so.0
#7  0xb646221e in clone () from /lib/i686/cmov/libc.so.6

Thread 8 (Thread 0xa8dcab90 (LWP 20875)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6eb0fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb6f44862 in QWaitCondition::wait (this=0x8282c70, mutex=0x82820d0, time=4294967295) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#3  0xb791b678 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8282c58, th=0x97cb7b8) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0xb791e86c in ThreadWeaver::SuspendedState::waitForAvailableJob (this=0x82ba4b8, th=0x97cb7b8) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/SuspendedState.cpp:54
#5  0xb791a25b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8282c58, th=0x97cb7b8) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0xb791e8b4 in ThreadWeaver::SuspendedState::applyForWork (this=0x82ba4b8, th=0x97cb7b8, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/SuspendedState.cpp:48
#7  0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8282c58, th=0x97cb7b8, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb791e8cf in ThreadWeaver::SuspendedState::applyForWork (this=0x82ba4b8, th=0x97cb7b8, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/SuspendedState.cpp:49
#9  0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8282c58, th=0x97cb7b8, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb791e8cf in ThreadWeaver::SuspendedState::applyForWork (this=0x82ba4b8, th=0x97cb7b8, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/SuspendedState.cpp:49
#11 0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8282c58, th=0x97cb7b8, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb791e8cf in ThreadWeaver::SuspendedState::applyForWork (this=0x82ba4b8, th=0x97cb7b8, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/SuspendedState.cpp:49
#13 0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8282c58, th=0x97cb7b8, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb791c4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa8dca310, parent=0x8282c58, th=0x97cb7b8) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#15 0xb791cb2b in ThreadWeaver::Thread::run (this=0x97cb7b8) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#16 0xb6f43ad0 in QThreadPrivate::start (arg=0x97cb7b8) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#17 0xb6ead4e5 in start_thread () from /lib/i686/cmov/libpthread.so.0
#18 0xb646221e in clone () from /lib/i686/cmov/libc.so.6

Thread 7 (Thread 0xa85c9b90 (LWP 20876)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6eb0fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb6f44862 in QWaitCondition::wait (this=0x8282c70, mutex=0x82820d0, time=4294967295) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#3  0xb791b678 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8282c58, th=0x85c4248) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0xb791e86c in ThreadWeaver::SuspendedState::waitForAvailableJob (this=0x82ba4b8, th=0x85c4248) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/SuspendedState.cpp:54
#5  0xb791a25b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8282c58, th=0x85c4248) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0xb791e8b4 in ThreadWeaver::SuspendedState::applyForWork (this=0x82ba4b8, th=0x85c4248, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/SuspendedState.cpp:48
#7  0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8282c58, th=0x85c4248, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb791e8cf in ThreadWeaver::SuspendedState::applyForWork (this=0x82ba4b8, th=0x85c4248, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/SuspendedState.cpp:49
#9  0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8282c58, th=0x85c4248, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb791c4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa85c9310, parent=0x8282c58, th=0x85c4248) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#11 0xb791cb2b in ThreadWeaver::Thread::run (this=0x85c4248) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#12 0xb6f43ad0 in QThreadPrivate::start (arg=0x85c4248) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#13 0xb6ead4e5 in start_thread () from /lib/i686/cmov/libpthread.so.0
#14 0xb646221e in clone () from /lib/i686/cmov/libc.so.6

Thread 6 (Thread 0xa7dc8b90 (LWP 20877)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6eb0fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb6f44862 in QWaitCondition::wait (this=0x8282c70, mutex=0x82820d0, time=4294967295) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#3  0xb791b678 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8282c58, th=0x8b73258) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0xb791e86c in ThreadWeaver::SuspendedState::waitForAvailableJob (this=0x82ba4b8, th=0x8b73258) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/SuspendedState.cpp:54
#5  0xb791a25b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8282c58, th=0x8b73258) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0xb791e8b4 in ThreadWeaver::SuspendedState::applyForWork (this=0x82ba4b8, th=0x8b73258, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/SuspendedState.cpp:48
#7  0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8282c58, th=0x8b73258, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb791e8cf in ThreadWeaver::SuspendedState::applyForWork (this=0x82ba4b8, th=0x8b73258, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/SuspendedState.cpp:49
#9  0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8282c58, th=0x8b73258, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb791c4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa7dc8310, parent=0x8282c58, th=0x8b73258) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#11 0xb791cb2b in ThreadWeaver::Thread::run (this=0x8b73258) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#12 0xb6f43ad0 in QThreadPrivate::start (arg=0x8b73258) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#13 0xb6ead4e5 in start_thread () from /lib/i686/cmov/libpthread.so.0
#14 0xb646221e in clone () from /lib/i686/cmov/libc.so.6

Thread 5 (Thread 0xb0424b90 (LWP 11696)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6eb0fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb6f44862 in QWaitCondition::wait (this=0xa9c323d0, mutex=0xb1635e88, time=4294967295) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#3  0xb791b678 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa9c323b8, th=0xb16e83f8) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0xb791e41c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xb16ae408, th=0xb16e83f8) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0xb791a25b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa9c323b8, th=0xb16e83f8) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0xb791e51a in ThreadWeaver::WorkingHardState::applyForWork (this=0xb16ae408, th=0xb16e83f8) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa9c323b8, th=0xb16e83f8, previous=0xa474c8c0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb791c4ee in ThreadWeaver::ThreadRunHelper::run (this=0xb0424310, parent=0xa9c323b8, th=0xb16e83f8) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#9  0xb791cb2b in ThreadWeaver::Thread::run (this=0xb16e83f8) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#10 0xb6f43ad0 in QThreadPrivate::start (arg=0xb16e83f8) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#11 0xb6ead4e5 in start_thread () from /lib/i686/cmov/libpthread.so.0
#12 0xb646221e in clone () from /lib/i686/cmov/libc.so.6

Thread 4 (Thread 0xa62b7b90 (LWP 12654)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6eb0fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb6f44862 in QWaitCondition::wait (this=0xa9c323d0, mutex=0xb1635e88, time=4294967295) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#3  0xb791b678 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa9c323b8, th=0x840ab90) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0xb791e41c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xb16ae408, th=0x840ab90) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0xb791a25b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa9c323b8, th=0x840ab90) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0xb791e51a in ThreadWeaver::WorkingHardState::applyForWork (this=0xb16ae408, th=0x840ab90) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa9c323b8, th=0x840ab90, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb791e539 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb16ae408, th=0x840ab90) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa9c323b8, th=0x840ab90, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb791e539 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb16ae408, th=0x840ab90) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa9c323b8, th=0x840ab90, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb791e539 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb16ae408, th=0x840ab90) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa9c323b8, th=0x840ab90, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb791e539 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb16ae408, th=0x840ab90) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa9c323b8, th=0x840ab90, previous=0xf34ffa8) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb791c4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa62b7310, parent=0xa9c323b8, th=0x840ab90) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#17 0xb791cb2b in ThreadWeaver::Thread::run (this=0x840ab90) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#18 0xb6f43ad0 in QThreadPrivate::start (arg=0x840ab90) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#19 0xb6ead4e5 in start_thread () from /lib/i686/cmov/libpthread.so.0
#20 0xb646221e in clone () from /lib/i686/cmov/libc.so.6

Thread 3 (Thread 0xa5ab6b90 (LWP 12667)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6eb0fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb6f44862 in QWaitCondition::wait (this=0xa9c323d0, mutex=0xb1635e88, time=4294967295) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#3  0xb791b678 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa9c323b8, th=0xa7436000) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0xb791e41c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xb16ae408, th=0xa7436000) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0xb791a25b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa9c323b8, th=0xa7436000) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0xb791e51a in ThreadWeaver::WorkingHardState::applyForWork (this=0xb16ae408, th=0xa7436000) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa9c323b8, th=0xa7436000, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb791e539 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb16ae408, th=0xa7436000) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa9c323b8, th=0xa7436000, previous=0x10645830) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb791c4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa5ab6310, parent=0xa9c323b8, th=0xa7436000) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#11 0xb791cb2b in ThreadWeaver::Thread::run (this=0xa7436000) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#12 0xb6f43ad0 in QThreadPrivate::start (arg=0xa7436000) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#13 0xb6ead4e5 in start_thread () from /lib/i686/cmov/libpthread.so.0
#14 0xb646221e in clone () from /lib/i686/cmov/libc.so.6

Thread 2 (Thread 0xa5129b90 (LWP 12697)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6eb0fb5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb6f44862 in QWaitCondition::wait (this=0xa9c323d0, mutex=0xb1635e88, time=4294967295) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qwaitcondition_unix.cpp:87
#3  0xb791b678 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa9c323b8, th=0xa74a3d78) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0xb791e41c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xb16ae408, th=0xa74a3d78) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#5  0xb791a25b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa9c323b8, th=0xa74a3d78) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#6  0xb791e51a in ThreadWeaver::WorkingHardState::applyForWork (this=0xb16ae408, th=0xa74a3d78) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#7  0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa9c323b8, th=0xa74a3d78, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#8  0xb791e539 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb16ae408, th=0xa74a3d78) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa9c323b8, th=0xa74a3d78, previous=0x0) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb791e539 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb16ae408, th=0xa74a3d78) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb791bc03 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa9c323b8, th=0xa74a3d78, previous=0xf574a98) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb791c4ee in ThreadWeaver::ThreadRunHelper::run (this=0xa5129310, parent=0xa9c323b8, th=0xa74a3d78) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#13 0xb791cb2b in ThreadWeaver::Thread::run (this=0xa74a3d78) at /home/kde-devel/kdesvn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#14 0xb6f43ad0 in QThreadPrivate::start (arg=0xa74a3d78) at /home/kde-devel/kdesvn/qt-copy/src/corelib/thread/qthread_unix.cpp:189
#15 0xb6ead4e5 in start_thread () from /lib/i686/cmov/libpthread.so.0
#16 0xb646221e in clone () from /lib/i686/cmov/libc.so.6

Thread 1 (Thread 0xb54bc710 (LWP 20561)):
[KCrash Handler]
#6  KateLineLayout::viewLineCount (this=0x0) at /home/kde-devel/kdesvn/kdelibs/kate/render/katelinelayout.cpp:173
#7  0xa9e94c04 in KateLayoutCache::lastViewLine (this=0x1088be90, realLine=3837) at /home/kde-devel/kdesvn/kdelibs/kate/render/katelayoutcache.cpp:469
#8  0xa9e94c48 in KateLayoutCache::viewLineCount (this=0x1088be90, realLine=3837) at /home/kde-devel/kdesvn/kdelibs/kate/render/katelayoutcache.cpp:474
#9  0xa9e95180 in KateLayoutCache::displayViewLine (this=0x1088be90, virtualCursor=@0x1088b900, limitToVisible=false) at /home/kde-devel/kdesvn/kdelibs/kate/render/katelayoutcache.cpp:435
#10 0xa9ef2699 in KateViewInternal::pageUp (this=0x1088b860, sel=false) at /home/kde-devel/kdesvn/kdelibs/kate/view/kateviewinternal.cpp:1593
#11 0xa9ecfcdb in KateView::pageUp (this=0x1088a3e0) at /home/kde-devel/kdesvn/kdelibs/kate/view/kateview.cpp:2432
#12 0xa9ed8f38 in KateView::qt_metacall (this=0x1088a3e0, _c=QMetaObject::InvokeMetaMethod, _id=76, _a=0xbfdbb14c) at /home/kde-devel/kdesvn/build/kdelibs/kate/kateview.moc:386
#13 0xb7036639 in QMetaObject::activate (sender=0x1052c338, from_signal_index=<value optimized out>, to_signal_index=6, argv=0x0) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qobject.cpp:3117
#14 0xb7036960 in QMetaObject::activate (sender=0x1052c338, m=0xb6e436c8, from_local_signal_index=1, to_local_signal_index=2, argv=0xbfdbb14c)
    at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qobject.cpp:3214
#15 0xb675dd51 in QAction::triggered (this=0x1052c338, _t1=false) at .moc/release-shared/moc_qaction.cpp:236
#16 0xb675efff in QAction::activate (this=0x1052c338, event=QAction::Trigger) at /home/kde-devel/kdesvn/qt-copy/src/gui/kernel/qaction.cpp:1160
#17 0xb67612eb in QAction::event (this=0x1052c338, e=0xbfdbb554) at /home/kde-devel/kdesvn/qt-copy/src/gui/kernel/qaction.cpp:1079
#18 0xb7215589 in KAction::event (this=0x1052c338, event=0xbfdbb554) at /home/kde-devel/kdesvn/kdelibs/kdeui/actions/kaction.cpp:88
#19 0xb676369c in QApplicationPrivate::notify_helper (this=0x8118728, receiver=0x1052c338, e=0xbfdbb554) at /home/kde-devel/kdesvn/qt-copy/src/gui/kernel/qapplication.cpp:4057
#20 0xb676bffe in QApplication::notify (this=0xbfdbd3dc, receiver=0x1052c338, e=0xbfdbb554) at /home/kde-devel/kdesvn/qt-copy/src/gui/kernel/qapplication.cpp:3604
#21 0xb72fa86d in KApplication::notify (this=0xbfdbd3dc, receiver=0x1052c338, event=0xbfdbb554) at /home/kde-devel/kdesvn/kdelibs/kdeui/kernel/kapplication.cpp:302
#22 0xb702406b in QCoreApplication::notifyInternal (this=0xbfdbd3dc, receiver=0x1052c338, event=0xbfdbb554) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qcoreapplication.cpp:606
#23 0xb6797b02 in QShortcutMap::dispatchEvent (this=0x81187c8, e=0xbfdbb8cc) at ../../include/QtCore/../../../../qt-copy/src/corelib/kernel/qcoreapplication.h:213
#24 0xb67997df in QShortcutMap::tryShortcutEvent (this=0x81187c8, o=0x1088b860, e=0xbfdbb8cc) at /home/kde-devel/kdesvn/qt-copy/src/gui/kernel/qshortcutmap.cpp:369
#25 0xb676d376 in QApplication::notify (this=0xbfdbd3dc, receiver=0x1088b860, e=0xbfdbb8cc) at /home/kde-devel/kdesvn/qt-copy/src/gui/kernel/qapplication.cpp:3646
#26 0xb72fa86d in KApplication::notify (this=0xbfdbd3dc, receiver=0x1088b860, event=0xbfdbb8cc) at /home/kde-devel/kdesvn/kdelibs/kdeui/kernel/kapplication.cpp:302
#27 0xb702406b in QCoreApplication::notifyInternal (this=0xbfdbd3dc, receiver=0x1088b860, event=0xbfdbb8cc) at /home/kde-devel/kdesvn/qt-copy/src/corelib/kernel/qcoreapplication.cpp:606
#28 0xb6764b5e in qt_sendSpontaneousEvent (receiver=0x1088b860, event=0x1) at ../../include/QtCore/../../../../qt-copy/src/corelib/kernel/qcoreapplication.h:216
#29 0xb67f0313 in QKeyMapper::sendKeyEvent (keyWidget=0x1088b860, grab=false, type=QEvent::KeyPress, code=16777238, modifiers={i = -1076118644}, text=@0xbfdbbbb8, autorepeat=<value optimized out>, 
    count=1, nativeScanCode=99, nativeVirtualKey=65365, nativeModifiers=16) at /home/kde-devel/kdesvn/qt-copy/src/gui/kernel/qkeymapper_x11.cpp:1675
#30 0xb67f221b in QKeyMapperPrivate::translateKeyEvent (this=0x8141d10, keyWidget=0x1088b860, event=0xbfdbd0cc, grab=false) at /home/kde-devel/kdesvn/qt-copy/src/gui/kernel/qkeymapper_x11.cpp:1645
#31 0xb67cbf7c in QApplication::x11ProcessEvent (this=0xbfdbd3dc, event=0xbfdbd0cc) at /home/kde-devel/kdesvn/qt-copy/src/gui/kernel/qapplication_x11.cpp:3459
#32 0xb67f3a02 in x11EventSourceDispatch (s=0x811b700, callback=0, user_data=0x0) at /home/kde-devel/kdesvn/qt-copy/src/gui/kernel/qguieventdispatcher_glib.cpp:146
#33 0xb56fc848 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#34 0xb56ffdab in ?? () from /usr/lib/libglib-2.0.so.0
#35 0x0811a890 in ?? ()
#36 0x00000000 in ?? ()

Reported using DrKonqi
Comment 1 Milian Wolff 2009-07-19 21:11:51 UTC
reassigning to kate, nothing kdevelop specific as far as I can see
Comment 2 Dario Andres 2009-08-16 20:52:03 UTC
*** Bug 201743 has been marked as a duplicate of this bug. ***
Comment 3 Dominik Haumann 2009-11-05 23:21:56 UTC
likely related to bug #200858.
Comment 4 Milian Wolff 2010-01-20 17:20:52 UTC
updating title, and closing for now. Please reopen if you can reproduce with 4.4
Comment 5 Milian Wolff 2010-01-20 17:21:36 UTC
*** Bug 203884 has been marked as a duplicate of this bug. ***
Comment 6 Milian Wolff 2010-01-20 17:22:12 UTC
*** Bug 223583 has been marked as a duplicate of this bug. ***
Comment 7 Milian Wolff 2010-01-25 13:55:17 UTC
*** Bug 224073 has been marked as a duplicate of this bug. ***
Comment 8 Milian Wolff 2010-01-26 13:39:08 UTC
*** Bug 224308 has been marked as a duplicate of this bug. ***
Comment 9 Milian Wolff 2010-01-26 20:41:59 UTC
*** Bug 224373 has been marked as a duplicate of this bug. ***
Comment 10 Robert Voinea 2010-02-11 10:13:00 UTC
I can't reproduce it with 4.4.
Thanks!
Comment 11 Dario Andres 2010-02-22 01:07:35 UTC
*** Bug 227979 has been marked as a duplicate of this bug. ***
Comment 12 Dominik Haumann 2010-10-26 13:45:59 UTC
bug #243478 states the same backtrace in KDE 4.4.4. So probably this is still not fixed.